%global momorel 1
%global modname Mail-SpamAssassin
%global srcver 3.2.5

Summary: a spam filter for email which can be invoked from mail delivery agents
Name: SpamAssassin
Version: %{srcver}
Release: %{momorel}m%{?dist}
License: Apache
Group: Development/Languages
Source0: http://www.apache.org/dist/spamassassin/source/%{modname}-%{srcver}.tar.bz2
NoSource: 0
Patch0: SpamAssassin-3.2.2-optflags.patch
URL: http://spamassassin.apache.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.2
BuildPreReq: perl-Net-DNS >= 0.31-2m
BuildPreReq: perl-SMTP-Server >= 1.1-6m
BuildPreReq: perl-HTML-Parser >= 3.33-4m
BuildPreReq: perl-Mail-DKIM
BuildPreReq: perl-Mail-DomainKeys
BuildPreReq: perl-Mail-SPF
BuildPreReq: perl-Mail-SPF-Query
BuildPreReq: perl-Net-Ident
BuildPreReq: perl-Razor-Agent
PreReq:      chkconfig
Requires:    perl(DB_File)
#Requires:   perl-Statistics-Distributions >= 1.02-1m
#Requires:   perl-Parse-Syslog >= 1.03-1m
Requires:    perl-Mail-DKIM
Requires:    perl-Mail-DomainKeys
Requires:    perl-Mail-SPF
Requires:    perl-Mail-SPF-Query
Requires:    perl-Net-Ident
Requires:    perl-Razor-Agent

%description
SpamAssassin provides you with a way to reduce, if not completely eliminate,
Unsolicited Bulk Email (or "spam") from your incoming email.  It can be
invoked by a MDA such as sendmail or postfix, or can be called from a procmail
script, .forward file, etc.  It uses a genetic-algorithm-evolved scoring system
to identify messages which look spammy, then adds headers to the message so
they can be filtered by the user's mail reading software.  This distribution
includes the spamd/spamc components which considerably speeds processing of
mail.

%prep
%setup -q -n %{modname}-%{srcver}
%patch0 -p1 -b .optflags~

%build
# to fix path to perl
find . -type f | xargs perl -p -i -e 's|/usr/local/bin/perl|/usr/bin/perl|'
find . -type f | xargs perl -p -i -e 's|/local/perl586/bin/perl|/usr/bin/perl|'

CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir} \
	DESTDIR=%{buildroot} < /dev/null

%make CFLAGS="%{optflags}"
%make CFLAGS="%{optflags}" spamd/libspamc.so
# make test

%install
rm -rf %{buildroot}
# make install PERL_INSTALL_ROOT=%{buildroot} \
#   PREFIX=%{buildroot}%{_prefix} \
#   LOCAL_RULES_DIR=%{buildroot}%{_sysconfdir}/mail/spamassassin \
#   PKG_LOCAL_RULES_DIR=%{buildroot}%{_sysconfdir}/mail/spamassassin
%makeinstall \
        INSTALLMAN1DIR=%{_mandir}/man1 \
        INSTALLMAN3DIR=%{_mandir}/man3 \
        INSTALLSITEMAN1DIR=%{_mandir}/man1 \
        INSTALLSITEMAN3DIR=%{_mandir}/man3 \
        INSTALLVENDORMAN1DIR=%{_mandir}/man1 \
        INSTALLVENDORMAN3DIR=%{_mandir}/man3 \
		LOCAL_RULES_DIR=%{buildroot}%{_sysconfdir}/mail/spamassassin \
		PKG_LOCAL_RULES_DIR=%{buildroot}%{_sysconfdir}/mail/spamassassin

mkdir -p %{buildroot}/etc/mail/spamassassin
mkdir -p %{buildroot}/%{_initscriptdir}
mkdir -p %{buildroot}/%{_includedir}
install -m 644 rules/local.cf %{buildroot}%{_sysconfdir}/mail/spamassassin
install -m 0755 spamd/redhat-rc-script.sh %{buildroot}/%{_initscriptdir}/spamassassin
install -m 0755 spamc/libspamc.so %{buildroot}/%{_libdir}
install -m 0644 spamc/libspamc.h %{buildroot}/%{_includedir}/libspamc.h

# remove unwanting file
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -f %{buildroot}%{perl_vendorarch}/auto/Mail/SpamAssassin/.packlist

%files
%defattr(-, root, root)
%doc Changes CREDITS INSTALL LICENSE NOTICE README TRADEMARK UPGRADE USAGE
%doc procmailrc.example sample* sql ldap
%dir %{_sysconfdir}/mail/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin/local.cf
%config(noreplace) %{_sysconfdir}/mail/spamassassin/init.pre
%config(noreplace) %{_sysconfdir}/mail/spamassassin/v310.pre
%config(noreplace) %{_sysconfdir}/mail/spamassassin/v312.pre
%config(noreplace) %{_sysconfdir}/mail/spamassassin/v320.pre
%config(noreplace) %{_initscriptdir}/*
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man?/*
%{perl_vendorlib}/spamassassin-run.pod
%{perl_vendorlib}/Mail/*
%{_datadir}/spamassassin

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add spamassassin

%postun
if [ $1 = 0 ]; then
    %{_initscriptdir}/spamassassin stop > /dev/null 2>&1
    /sbin/chkconfig --del spamassassin
fi

%changelog
* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.5-1m)
- update to 3.2.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.4-3m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.2.4-2m)
- rebuild against perl-5.10.0-1m

* Wed Jan  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Sun Aug 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.3-2m)
- fix %%changelog section

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-2m)
- add BuildPreReq: and Requires:

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2
- update and rename patch0

* Tue Jun 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-1m)
- [SECURITY] CVE-2007-2873
- update to 3.2.1

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.8-2m)
- use vendor

* Fri Feb 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.8-1m)
- [SECURITY] CVE-2007-0451
- update to 3.1.8

* Fri Oct 13 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.1.7-1m)
- update to 3.1.7

* Sun Oct  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.6-1m)
- update to 3.1.6
- delete patch1 and use perl script to fix perl path

* Sat Sep  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.5-1m)
- update to 3.1.5
- maintainance release of the 3.1.x
- add patch1 for fixing path to perl

* Fri Jul 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.4-1m)
- update to 3.1.4
- maintainance release of the 3.1.x

* Wed Jun  7 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.3-1m)
- update to 3.1.3
- fixes a remote code execution vulnerability [CVE-2006-2447]

* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.2-1m)
- update to 3.1.2

* Sat Apr  8 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.1-1m)
- update to 3.1.1

* Sat Feb 11 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.0-3m)
- update spec for perl(DB_File)

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.0-2m)
- rebuild against perl-5.8.8

* Mon Dec 12 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.1.0-1m)
- update to 3.1.0

* Mon Jun 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.0.4)
- up to 3.0.4
- [SECURITY] CAN-2005-1266


* Mon Jun 13 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0.2-2m)
- rebuilt against perl-5.8.7

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2-1m)
- minor bugfixes

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0.1-2m)
- enable x86_64.

* Sun Nov 07 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Sun Sep 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-3m)
- comment out Requires perl-Statistics-Distributions and perl-Parse-Syslog

* Sun Sep 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-2m)
- add Requires: perl-Statistics-Distributions >= 1.02-1m
- add Requires: perl-Parse-Syslog >= 1.03-1m

* Sat Sep 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-1m)
- version up to 3.0.0
- change License: GPL to Apache
- change Source0 URI
- use %%NoSource
- change URL: http://spamassassin.apaceh.org/
- delete included Patch0
- use spamc/libspamc.so insted of spamd/libspamc.so
- use spamc/libspamc.h insted of spamd/libspamc.h
- delete CONTRIB_CERT and COPYRIGHT at %%doc
- change License to LICENSE at %%doc
- add CREDITS, INSTALL, NOTICE, STATUS, UPGRADE, ldap at %%doc
- delet qmail at %%doc
- add %%config(noreplace) %%{_sysconfdir}/mail/spamassassin/init.pre

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.64-2m)
- rebuild against perl-5.8.5

* Thu Aug  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.64-1m)
- minor security fixes

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.63-5m)
- remove Epoch from BuildPrereq

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.63-4m)
- stop daemon

* Thu Mar 16 2004 Toru Hoshina <t@momonga-linux.org>
- (2.63-3m)
- revised spec to use perl_sitearch and perl_archlib instead hardcoding.

* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.63-2m)
- revised spec for enabling rpm 4.2.

* Wed Jan 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.63-1m)
- minor bugfixes

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.62-1m)
- minor bugfixes

* Mon Jan 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.61-1m)
- major bugfixes

* Thu Nov 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.60-3m)
- add Requiers: perl-DB_File (for sa-learn)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.60-2m)
- rebuild against perl-5.8.2
- rebuild against perl-Net-DNS 0.39_02-5m
- rebuild against perl-SMTP-Server 1.1-6m
- rebuild against perl-HTML-Parser 3.33-4m

* Sat Nov  8 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.60-1m)
- rebuild against perl-5.8.1
- update to 2.6.0

* Tue May 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.55-1m)
- minor bugfixes

* Tue May 13 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-1m)
- major bugfixes

* Sat Apr 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.53-2m)
- add BuildPreReq: perl-HTML-Parser >= 3.27-1m

* Fri Apr  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.53-1m)
- major bugfixes

* Tue Apr  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.52-1m)
- major bugfixes

* Fri Mar 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.51-1m)
- major feature enhancements

* Sat Feb  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.44-1m)

* Wed Feb  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-3m)
- apply a patch to fix remote buffer overflow vulnerability
  (http://marc.theaimsgroup.com/?l=bugtraq&m=104342896818777&w=2)

* Wed Nov 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-2m)
- revise %%install

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-1m)
- rebuild against perl-5.8.0

* Sun Oct  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.42-1m)

* Wed Sep 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.41-1m)
- change License to GPL
- add more documents

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.31-3m)
- revise URIs

* Mon Jun 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.31-2k)

* Sun Apr 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.20-2k)

* Thu Feb 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.1-2k)

* Tue Feb 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.01-4k)
- %config local.cf

* Tue Feb 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.01-2k)

* Thu Jan 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.0-2k)
